Bug 1534421 - [downstream clone - 4.1.10] Self-Hosted Engine need to be able to run on an IBRS compatible CPU
Summary: [downstream clone - 4.1.10] Self-Hosted Engine need to be able to run on an I...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-hosted-engine-setup
Version: unspecified
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ovirt-4.1.10
: ---
Assignee: Simone Tiraboschi
QA Contact: Polina
URL:
Whiteboard:
Depends On: 1534212
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-01-15 08:31 UTC by rhev-integ
Modified: 2019-05-16 13:08 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Previously, the self-hosted engine did not support IBRS-compatible CPUs. In this release, IBRS-compatible CPUs are now supported by the self-hosted engine.
Clone Of: 1534212
Environment:
Last Closed: 2018-03-20 16:40:52 UTC
oVirt Team: Integration
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:0567 None None None 2018-03-20 16:40:57 UTC
oVirt gerrit 86638 master MERGED cpu: ibrs: add IBRS cpu families 2018-09-03 09:35:42 UTC
oVirt gerrit 87734 ovirt-hosted-engine-setup-2.2 MERGED cpu: ibrs: add IBRS cpu families 2018-02-15 16:59:51 UTC
oVirt gerrit 87741 ovirt-hosted-engine-setup-2.1 MERGED cpu: ibrs: add IBRS cpu families 2018-02-15 16:59:56 UTC

Description rhev-integ 2018-01-15 08:31:19 UTC
+++ This bug is an upstream to downstream clone. The original bug is: +++
+++   bug 1534212 +++
======================================================================

Description of problem:
I'm opening this bug for both clean install and upgrade, though I assume we'll need to split it later.

We need to ensure that:
1. Clean installation on a host with IBRS compatible fixes (CPU + kernel + qemu-kvm + libvirt) can select an IBRS enabled vCPU type for the SHE VM.
2. We need to provide a procedure on upgrade to switch to such CPU type (already doable today?)

(Originally by Yaniv Kaul)

Comment 2 Polina 2018-03-15 12:09:51 UTC
The bug is verified on build rhv-4.1.10-5

Steps: 
1. installed image from kobler on panther09.qa.lab.tlv.redhat.com.
2. installed repoes of the build rhv-4.1.10-5, yum update -y, reboot
3. echo 2 > /sys/kernel/debug/x86/ibrs_enabled (turn on IBRS in both userspace and kernel (IBRS always))
4. 
    yum install ovirt-hosted-engine-setup

    yum install rhvm-appliance

    hosted-engine --deploy

Result: hosted engine installed. While installation the following CPU type was chosen: model_Haswell-noTSX-IBRS. 
       
          The following CPU types are supported by this host:
          	 - model_Haswell-noTSX: Intel Haswell-noTSX Family
          	 - model_Haswell-noTSX-IBRS: Intel Haswell-noTSX-IBRS Family
          	 - model_SandyBridge: Intel SandyBridge Family
          	 - model_SandyBridge-IBRS: Intel SandyBridge-IBRS Family
          	 - model_Westmere: Intel Westmere Family
          	 - model_Westmere-IBRS: Intel Westmere-IBRS Family
          	 - model_Nehalem: Intel Nehalem Family
          	 - model_Nehalem-IBRS: Intel Nehalem-IBRS Family
          	 - model_Penryn: Intel Penryn Family
          	 - model_Conroe: Intel Conroe Family
          Please specify the CPU type to be used by the VM [model_Haswell-noTSX]: model_Haswell-noTSX-IBRS

[ INFO  ] Stage: Setup validation         
          --== CONFIGURATION PREVIEW ==--
         
          Bridge interface                   : em1
          Engine FQDN                        : nsednev-he-6.qa.lab.tlv.redhat.com
          Bridge name                        : ovirtmgmt
          Host address                       : panther09.qa.lab.tlv.redhat.com
          SSH daemon port                    : 22
          Firewall manager                   : iptables
          Gateway address                    : 10.35.65.254
          Storage Domain type                : nfs3
          Image size GB                      : 58
          Host ID                            : 1
          Storage connection                 : yellow-vdsb.qa.lab.tlv.redhat.com:/Compute_NFS/pagranat/he_panther
          Console type                       : vnc
          Memory size MB                     : 16384
          MAC address                        : 00:16:3e:ee:ee:ee
          Number of CPUs                     : 4
          OVF archive (for disk boot)        : /usr/share/ovirt-engine-appliance/rhvm-appliance-4.1.20180125.0-1.el7.ova
          Appliance version                  : 4.1.20180125.0-1.el7
          Restart engine VM after engine-setup: True
          Engine VM timezone                 : Asia/Jerusalem
          CPU Type                           : model_Haswell-noTSX-IBRS
...
[ INFO  ] Hosted Engine successfully deployed

Comment 3 Polina 2018-03-15 12:49:02 UTC
ovirt-hosted-engine-setup-2.1.4.1-1.el7ev.noarch
ovirt-hosted-engine-ha-2.1.9-1.el7ev.noarch
RHEL 7.4

Comment 6 errata-xmlrpc 2018-03-20 16:40:52 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:0567

Comment 7 Franta Kust 2019-05-16 13:08:24 UTC
BZ<2>Jira Resync


Note You need to log in before you can comment on or make changes to this bug.